# $Revision: 1.22 $, $Date: 2010/06/15 05:19:07 $
%define		pkgname skype
Summary:	p2p VoIP application
Summary(pl.UTF-8):	Aplikacja VoIP p2p
Name:		skype-static
Version:	2.1.0.81
Release:	4
# http://www.skype.com/company/legal/promote/distributionterms.html
# distributing on CD-ROM and similar media requires approval
License:	Commercial, redistributable (see LICENSE)
Group:		Applications/Communications
Source0:	http://download.skype.com/linux/%{pkgname}_static-%{version}.tar.bz2
# Source0-md5:	137a4a749c8fb3b76c3410514c7e2053
Patch0:		%{name}-desktop.patch
URL:		http://www.skype.com/
Conflicts:	skype
Provides:	skype-program = %{version}
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_enable_debug_packages	0
# https://developer.skype.com/jira/browse/SCL-569
%define		no_install_post_strip	1

%description
p2p VoIP application.

License requirement: The Software originates from Skype and use the
links and graphics as published and indicated on
<http://www.skype.com/go/redistribution/>.

%description -l pl.UTF-8
Aplikacja VoIP p2p.

Wymaganie licencyjne: to oprogramowanie pochodzi od Skype i
wykorzystuje odnośniki i grafikę w postaci opublikowanej i oznaczonej
na <http://www.skype.com/go/redistribution/>.

%prep
%setup -q -n %{pkgname}_static-%{version}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{pkgname},%{_datadir}/%{pkgname}/{lang,sounds,avatars},%{_desktopdir},/etc/dbus-1/system.d}

install -p %{pkgname} $RPM_BUILD_ROOT%{_bindir}
cp -a sounds/*.wav $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/sounds
cp -a lang/*.qm $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/lang
cp -a avatars/*.png $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/avatars
cp -a skype.conf $RPM_BUILD_ROOT/etc/dbus-1/system.d
cp -a *.desktop $RPM_BUILD_ROOT%{_desktopdir}
install -d $RPM_BUILD_ROOT%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
cp -a icons/SkypeBlue_16x16.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{pkgname}.png
cp -a icons/SkypeBlue_32x32.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{pkgname}.png
cp -a icons/SkypeBlue_48x48.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{pkgname}.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE
/etc/dbus-1/system.d/skype.conf
%attr(755,root,root) %{_bindir}/skype

%dir %{_datadir}/%{pkgname}
%{_datadir}/%{pkgname}/sounds
%{_datadir}/%{pkgname}/avatars

%dir %{_datadir}/%{pkgname}/lang
%lang(bg) %{_datadir}/%{pkgname}/lang/skype_bg.qm
%lang(de) %{_datadir}/%{pkgname}/lang/skype_de.qm
%lang(en) %{_datadir}/%{pkgname}/lang/skype_en.qm
%lang(es) %{_datadir}/%{pkgname}/lang/skype_es.qm
%lang(et) %{_datadir}/%{pkgname}/lang/skype_et.qm
%lang(fr) %{_datadir}/%{pkgname}/lang/skype_fr.qm
%lang(it) %{_datadir}/%{pkgname}/lang/skype_it.qm
%lang(ja) %{_datadir}/%{pkgname}/lang/skype_ja.qm
%lang(ko) %{_datadir}/%{pkgname}/lang/skype_ko.qm
%lang(lt) %{_datadir}/%{pkgname}/lang/skype_lt.qm
%lang(lv) %{_datadir}/%{pkgname}/lang/skype_lv.qm
%lang(pl) %{_datadir}/%{pkgname}/lang/skype_pl.qm
%lang(pt) %{_datadir}/%{pkgname}/lang/skype_pt_pt.qm
%lang(pt_BR) %{_datadir}/%{pkgname}/lang/skype_pt_br.qm
%lang(ro) %{_datadir}/%{pkgname}/lang/skype_ro.qm
%lang(ru) %{_datadir}/%{pkgname}/lang/skype_ru.qm
%lang(th) %{_datadir}/%{pkgname}/lang/skype_th.qm
%lang(tr) %{_datadir}/%{pkgname}/lang/skype_tr.qm
%lang(zh_CN) %{_datadir}/%{pkgname}/lang/skype_zh_s.qm
%lang(zh_TW) %{_datadir}/%{pkgname}/lang/skype_zh_t.qm

%{_iconsdir}/hicolor/*x*/apps/%{pkgname}.png
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: skype-static.spec,v $
Revision 1.22  2010/06/15 05:19:07  glen
- unify with skype.spec

Revision 1.21  2010/06/15 05:18:27  glen
- versioned provides

Revision 1.20  2010/06/04 18:23:03  arekm
- release 2

Revision 1.19  2010/05/29 22:41:30  arekm
- P: skype-program

Revision 1.18  2010/02/14 15:45:22  arvenil
- up to 2.1.0.81
- release 1

Revision 1.17  2009/12/28 11:10:46  pluto
- don't strip, don't build debug package, release 3.

Revision 1.16  2009/11/06 22:47:54  blekot
- updated md5
- rel 2

Revision 1.15  2009/11/06 18:18:15  blekot
- up to 2.1.0.47

Revision 1.14  2008/11/16 19:46:21  pluto
- updated to 2.0.0.72.

Revision 1.13  2008-03-30 04:20:20  shadzik
- more languages
- rel 2

Revision 1.12  2008-03-30 04:16:04  shadzik
- reverted blekot's commit (means re-added C: skype)
- removed P: skype (both packages provide /usr/bin/skype - they have to conflict! if you'd like to have both, change ones binary name)

Revision 1.11  2008-03-29 23:31:17  blekot
- Provides and Conflicts shouldn't be the same (C removed)

Revision 1.10  2008-03-28 19:18:29  shadzik
- 2.0.0.68

Revision 1.9  2008-03-14 17:02:24  shadzik
- C: skype
- rel 2

Revision 1.8  2008-03-14 15:28:45  blekot
- up to 2.0.0.63

Revision 1.7  2008-02-06 22:29:57  glen
- fixed even uglier trash

Revision 1.6  2008-02-06 22:16:33  blekot
- truncated log, typo

Revision 1.5  2008-02-06 22:12:55  pluto
- fix an ugly trash.

Revision 1.4  2008-02-06 22:07:21  blekot
- fixed my log, sorry

Revision 1.3  2008-02-06 22:05:58  blekot
- up to 2.0.0.43
- added TODO

Revision 1.2  2007-11-20 20:39:50  ankry
- don't use pure zh; zh_* are mutually incompatible

Revision 1.1  2007-11-20 20:15:12  blekot
- new (based on skype.spec)
